from xaal.lib.asyncio import Engine
from xaal.lib import Device,tools,helpers

import time,random,sys,asyncio

def usage():
    print("Usage:")
    print("  %s target_address" % sys.argv[0])


def main():
    helpers.setup_console_logger()
    target = tools.get_uuid(sys.argv[-1])
    if not target:
        usage()
        return

    dev = Device("switch.basic",tools.get_random_uuid())
    dev.vendor_id = "RAMBo"
    dev.product_id = "Fake Auto Switch"
    dev.info = 'Autobot switch for %s' % target

    eng = Engine()
    eng.add_device(dev)

    async def run():
        while 1:
            eng.send_request(dev,[target,],'turn_on')
            print('turn_on')
            await asyncio.sleep(3)

            eng.send_request(dev,[target,],'turn_off')
            print('turn_off')
            await asyncio.sleep(3)

            eng.send_request(dev,[target,],'set_brightness',{'brightness':random.randint(0,100)})
            print('set_brightness')
            await asyncio.sleep(3)

    tasks = [ asyncio.ensure_future(eng.run()),
              asyncio.ensure_future(run()), ]
    loop = asyncio.get_event_loop()
    loop.run_until_complete(asyncio.wait(tasks))

if __name__ == '__main__':
    try:
        main()
    except KeyboardInterrupt:
        print("Bye ..")