"""
Bulk script to install all xAAL packages, use w/ caution. 
"""


import glob
import os
import sys

PYTHON = sys.executable

BASE=['./libs/lib','./libs/monitor','./libs/schemas']
BLACKLIST = ['./devices/sensors/lm_sensors',
             './devices/notifications/gtk-notify',
             './devices/notifications/conky',
             './devices/protocols/ZWave',
             './apps/fuse']

def title(msg):
    print("="*78)
    print("Running %s" % msg)
    print("="*78)


def setup_develop(path):
    title(path)
    os.system('cd %s && %s setup.py develop' % (path,PYTHON))

def setup_install(path):
    title(path)
    os.system('cd %s && %s setup.py install' % (path,PYTHON))


def search_setup():
    l=glob.glob('./**/setup.py',recursive=True)
    result = []
    for k in l:
        path='/'.join(k.split('/')[0:-1])
        if path in BASE:continue
        if path in BLACKLIST:continue
        result.append(path)

    return result

def run():
    for p in BASE:
        setup_develop(p)
    for p in search_setup():
        setup_develop(p)
        

if __name__=='__main__':
    run()
    
    
